import React from 'react';

const Header = ({ account, isOwner }) => {
  return (
    <header className="header">
      <div className="container">
        <h1>DApp de Vote</h1>
        {account && (
          <div className="account-info">
            <p>Compte connecté: {account.slice(0, 6)}...{account.slice(-4)}</p>
            {isOwner && <span className="admin-badge">Administrateur</span>}
          </div>
        )}
      </div>
    </header>
  );
};

export default Header; 