@echo off
echo ===== Nettoyage de l'installation existante =====
cd frontend
rmdir /s /q node_modules
del package-lock.json

echo ===== Nettoyage du cache npm =====
npm cache clean --force

echo ===== Installation des packages avec option de compatibilité =====
npm install --legacy-peer-deps

echo ===== Installation spécifique des modules manquants =====
npm install schema-utils prompts webpack webpack-dev-server react-dev-utils --save-dev --legacy-peer-deps

echo ===== Vérification et installation des dépendances principales =====
npm install react react-dom ethers@5.7.2 web3 web3modal --legacy-peer-deps

echo ===== Réparation des modules cassés =====
npm rebuild

echo ===== Installation terminée =====
echo Pour démarrer l'application, exécutez: npm start
cd ..